<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PoiToDriverSelection StructType
 * @subpackage Structs
 */
class PoiToDriverSelection extends AbstractStructBase
{
    /**
     * The IncludeInactive
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $IncludeInactive;
    /**
     * The DriverPoiList
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfDriverPoiItem
     */
    public $DriverPoiList;
    /**
     * The PoiPeriod
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\PoiPeriod
     */
    public $PoiPeriod;
    /**
     * Constructor method for PoiToDriverSelection
     * @uses PoiToDriverSelection::setIncludeInactive()
     * @uses PoiToDriverSelection::setDriverPoiList()
     * @uses PoiToDriverSelection::setPoiPeriod()
     * @param bool $includeInactive
     * @param \ArrayType\ArrayOfDriverPoiItem $driverPoiList
     * @param \StructType\PoiPeriod $poiPeriod
     */
    public function __construct($includeInactive = null, \ArrayType\ArrayOfDriverPoiItem $driverPoiList = null, \StructType\PoiPeriod $poiPeriod = null)
    {
        $this
            ->setIncludeInactive($includeInactive)
            ->setDriverPoiList($driverPoiList)
            ->setPoiPeriod($poiPeriod);
    }
    /**
     * Get IncludeInactive value
     * @return bool
     */
    public function getIncludeInactive()
    {
        return $this->IncludeInactive;
    }
    /**
     * Set IncludeInactive value
     * @param bool $includeInactive
     * @return \StructType\PoiToDriverSelection
     */
    public function setIncludeInactive($includeInactive = null)
    {
        // validation for constraint: boolean
        if (!is_null($includeInactive) && !is_bool($includeInactive)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($includeInactive, true), gettype($includeInactive)), __LINE__);
        }
        $this->IncludeInactive = $includeInactive;
        return $this;
    }
    /**
     * Get DriverPoiList value
     * @return \ArrayType\ArrayOfDriverPoiItem|null
     */
    public function getDriverPoiList()
    {
        return $this->DriverPoiList;
    }
    /**
     * Set DriverPoiList value
     * @param \ArrayType\ArrayOfDriverPoiItem $driverPoiList
     * @return \StructType\PoiToDriverSelection
     */
    public function setDriverPoiList(\ArrayType\ArrayOfDriverPoiItem $driverPoiList = null)
    {
        $this->DriverPoiList = $driverPoiList;
        return $this;
    }
    /**
     * Get PoiPeriod value
     * @return \StructType\PoiPeriod|null
     */
    public function getPoiPeriod()
    {
        return $this->PoiPeriod;
    }
    /**
     * Set PoiPeriod value
     * @param \StructType\PoiPeriod $poiPeriod
     * @return \StructType\PoiToDriverSelection
     */
    public function setPoiPeriod(\StructType\PoiPeriod $poiPeriod = null)
    {
        $this->PoiPeriod = $poiPeriod;
        return $this;
    }
}
